STRUCT PUSH(3)

NAME
boost::xpressive::op::push

SYNOPSIS

// In header: <boost/xpressive/regex_actions.hpp>
struct push {
  // types
  typedef void result_type;
  // public member functions
  template<typename Sequence, typename Value>
    void operator()(Sequence &, Value const &) const;
};

DESCRIPTION

  push public member functions

    1.

    template<typename Sequence, typename Value>
      void operator()(Sequence & seq, Value const & val) const;